Faille dans Bash, the GNU Bourne-Again Shell

Voici l’annonce de sécurité sur la page dédiée de Debian

Grosse vulnérabilité exploitable par le réseau .La mise à jour est à appliquer le plus rapidement possible (systèmes gnu/linux et autres Unix)

olivyeahh

[Edit] : faille présente sous Mac OsX également .Merci à Ben pour l’info 😉

Archlinux: passage à Gnome 3.14

Tout d’abord ,la version du noyau actuel sur ARCH est la 3.16.3-1

Alors que la sortie de Gnome 3.14 est imminente (aujourd’hui ,il y a d’ailleurs des logiciels du bureau qui sont disponible en version 3.14.0 depuis ce matin dans les dépots concernés que ce soit sur Debian sid ou sur Archlinux),j’ai décidé de passer à ce bureau en passant par le dépôt Gnome-unstable

[Edit] : 120 mise à jour ce matin à 6 heures (version 13.9 et 14.0)

.15 mise à jour ce midi (mutter,eog,etc…) de la version 13.9 à la version 14.0.

-A 15 heures: la totalité des paquets de Gnome ont été mis à jour vers la version 3.14 dans le dépôt gnome-unstable pour Archlinux ,soit 29 (accerciser-3.14.0-1 adwaita-icon-theme-3.14.0-1
bijiben-3.14.0-1 cantarell-fonts-0.0.16-1 cheese-3.14.0-1
five-or-more-3.14.0-1 gcr-3.14.0-1 glib-networking-2.42.0-1
gnome-devel-docs-3.14.0-1 gnome-dictionary-3.14.0-1
gnome-font-viewer-3.14.0-1 gnome-getting-started-docs-3.14.0-1
gnome-keyring-3.14.0-1 gnome-logs-3.14.0-1 gnome-mines-3.14.0-1
gnome-screenshot-3.14.0-1 gnome-themes-standard-3.14.0-1
gnome-tweak-tool-3.14.0-1 gnome-user-docs-3.14.0-1
libsoup-2.48.0-1 lightsoff-3.14.0-1 nautilus-sendto-3.8.2-1
seahorse-3.14.0-1 swell-foop-3.14.0-1 vala-0.26.0-1
vinagre-3.14.0-1 vino-3.14.0-1 yelp-3.14.0-1 yelp-xsl-3.14.0-1)

[End]

On passe la commande

$sudo pacman -Syu

Or ,une erreur apparait après le téléchargement des paquets :

erreur : la validation de la transaction a échoué (conflit de fichiers)
adwaita-icon-theme : /usr/share/icons/Adwaita/index.theme est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.

Il suffit de passer la commande suivante pour régler le problème (en effaçant le fichier concerné ):

$sudo rm /usr/share/icons/Adwaita/index.theme

Puis on remet un petit

$sudo pacman -Syu

La mise à jour s’effectue sans problèmes. A noter la mise à jour Wayland comme pour Debian .Nous verrons d’ici quelques jours si son intégration est maintenant complète

Capture d'écran de 2014-09-23 08:13:02

Olivyeahh

Debian Sid/experimental : le point, Gnome 3.13.9 ,Cinnamon 2.2

Première chose : la version actuelle du noyau dans Sid est la 3.16-1

,presque aussi récent que celui de l’ ArchLinux

J’aimerai mettre une chose au point pour les utilisateurs de Debian tentés par le monocycle sur fil suspendu au dessus d’un canyon :

Oubliez les KDM, GDM lorsque vous voulez incorporer des morceaux de vos bureaux préférés venant d’Experimental dans votre Sid , mais préférez  ligthdm ( Bien plus stable et moins bogué que ses 2 comparses…)

Gnome 3.13.9 est dans experimental au complet

[EDIT] Mercredi 24 Septembre 2014 : La release de Gnome 3.14 est sortie hier soir.C’est donc directement dans Debian Sid que les paquets migrent depuis hier.A part quelques paquets secondaires, je n’ai pas forcément besoin du dépôt experimental pour obtenir ce bureau

J’ai choisi l’installation par synaptic (on active le dépôt ,on donne la priorité à experimental  dans préférences et on actualise le bouzin )

Capture du 2014-09-18 12:35:19

Capture du 2014-09-18 12:35:06

On sélectionne ensuite les éléments de gnome 3.12 (dans Sid) pouvant être mis à jour et on applique

Capture d'écran de 2014-09-17 21:54:14

Capture d'écran de 2014-09-17 21:48:44

Capture d'écran de 2014-09-18 07:25:42

Capture d'écran de 2014-09-18 07:25:22

Aucun bug à signaler si ce n’est celui de l’inévitable GDM3 (d’où l’utilité de lightdm 😉  )

A noter : L’installation du paquet xwayland en complément de la mise à jour du bureau

Cinnamon 2.2 est présent dans les dépôts d’unstable

Un petit $sudo aptitude install cinnamon  bien placé dans un terminal  fera l’affaire.Belle évolution du bureau ,appréciable pour sa légèreté et ses outils de customisation

Capture du 2014-09-18 07:41:41

Capture du 2014-09-18 07:41:48

Capture du 2014-09-18 07:43:08

 

 

Olivyeahh

Ubuntu-Gnome 14.10 & Gnome 3.14

Il est possible de tester et utiliser la version Gnome  ,même si une grande partie  des paquets est numérotée  3.13.(…..)  sur  Ubuntu-gnome 14.10.

Comme d’habitude ,on joue avec les ppa de la team Gnome

$ sudo apt-add-repository ppa:gnome3-team/gnome3
$ sudo apt-add-repository ppa:gnome3-team/gnome3-staging
$ sudo apt-add-repository ppa:ricotz/testing

puis ,un petit

$sudo apt-get update && sudo apt-get dist-upgrade fera l’affaire

Verdict:

Plutôt stable ,des changements infimes et subtils dans l’apparence,une fluidité d’utilisation en nette amélioration

Enfin ,Cette version devait être celle qui achèverait l’intégration de Wayland .L’amélioration des performances prouve que l’on est sur la bonne voie.

Capture du 2014-09-13 06:48:36

Capture du 2014-09-13 06:54:24

Capture du 2014-09-13 07:09:28

Olivyeahh

 

ClamAv :ClamWin ,l’antivirus Libre pour Win

ClamAV (« Clam AntiVirus »), est un logiciel antivirus pour UNIX. Il est généralement utilisé avec les serveurs de courriels pour filtrer les courriers comportant des virus. Les virus ciblés sont très majoritairement des virus s’attaquant au système d’exploitation Microsoft Windows et non pas aux systèmes sur lesquels ClamAV s’installe, qui sont peu menacés par les virus.

ClamWin est un logiciel antivirus libre pour Microsoft Windows (98/Me/2000/XP/Vista/7/8 et 2003/2008/2012). Basé sur le moteur et la base de données virale de ClamAV, il est écrit en C++ et en Python.

ClamWin ne dispose pas de protection en temps réel. Toutefois cette fonctionnalité peut être assurée par un logiciel tiers qui travaillera de concert avec ClamWin : Clam Sentinel

scaned

Maintenant, si tu préfères payer pour un antivirus douteux ,c’est ton problème ^^